afc_client_new_from_house_arrest_client
house_arrest_client_free
house_arrest_client_new
house_arrest_client_start_service
house_arrest_client_t
house_arrest_error_t
house_arrest_get_result
house_arrest_send_command
house_arrest_send_request
HOUSE_ARREST_SERVICE_NAME

## house_arrest_send_request()

LIBIMOBILEDEVICE_API house_arrest_error_t house_arrest_send_request | ( | house_arrest_client_t | client,
|  | plist_t | dict )

Sends a generic request to the connected house_arrest service.

Parameters

  client | The house_arrest client to use.
  dict | The request to send as a plist of type PLIST_DICT.

Note
  If this function returns HOUSE_ARREST_E_SUCCESS it does not mean that the request was successful. To check for success or failure you need to call house_arrest_get_result().

See also
  house_arrest_get_result

Returns
  HOUSE_ARREST_E_SUCCESS if the request was successfully sent, HOUSE_ARREST_E_INVALID_ARG if client or dict is invalid, HOUSE_ARREST_E_PLIST_ERROR if dict is not a plist of type PLIST_DICT, HOUSE_ARREST_E_INVALID_MODE if the client is not in the correct mode, or HOUSE_ARREST_E_CONN_FAILED if a connection error occurred.